Bug 19776 - Test failing randomly - fix categorycode vs category_type
Summary: Test failing randomly - fix categorycode vs category_type
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19403 19423 19455 19487 19517 19529
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-07 17:40 UTC by Jonathan Druart
Modified: 2017-12-20 11:44 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19776: Fix random failures (category_type vs categorycode='X') (5.37 KB, patch)
2017-12-07 17:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19776: (follow-up) remove dup category_type keys (5.34 KB, patch)
2017-12-14 19:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-12-07 17:40:48 UTC
From CanBookBeIssued:
 726     if ( $patron->category->category_type eq 'X' && (  $item->{barcode}  )) {

Tests are failing randomly if the category_type of the patron is 'X'.

The previous tries to fix this issue set categorycode='X' (QAers, what are you doing?)
Comment 1 Jonathan Druart 2017-12-07 17:43:07 UTC
Created attachment 69619 [details] [review]
Bug 19776: Fix random failures (category_type vs categorycode='X')

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 2 Jonathan Druart 2017-12-07 17:43:49 UTC
Pushed to master for 18.05
Comment 3 Jonathan Druart 2017-12-14 19:11:12 UTC
Created attachment 69805 [details] [review]
Bug 19776: (follow-up) remove dup category_type keys

The previous patch was obviously wrong, the category_type key appeared
twice.
categories.category_type is a varchar(1) and 'P' is not 'X'.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-12-14 19:11:40 UTC
Last patch pushed to master.
Comment 5 Nick Clemens 2017-12-20 11:44:44 UTC
Skipping for 17.11